Qt API | Qtopia API | Qtopia Documentation |

# Pickboard Class Reference

The Pickboard class provides an input method based on a virtual keyboard combined with word-completion. More...

`#include <pickboard.h>`

Inherits QFrame.

List of all member functions.

## Public Members

- Pickboard ( QWidget * parent = 0, const char * name = 0, WFlags f = 0 )
- ~Pickboard ()
- void resetState ()

## Signals

- void key ( ushort, ushort, ushort, bool, bool )

## Detailed Description

The Pickboard class provides an input method based on a virtual keyboard combined with word-completion.

This version of Pickboard is Dual Licensed Software. However, for you to be able to license the technology to others, you may require a T9(R) Text Input license from Tegic Communications Corporation. More information can be found at http://www.t9.com/.

This version of Pickboard is Dual Licensed Software. However, for you to be able to license the technology to others, you may require a T9(R) Text Input license from Tegic Communications Corporation. More information can be found at http://www.t9.com/.

This file is part of the Qtopia , copyright © 1995-2002 Trolltech, all rights reserved.